Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class RealmsServerHelper

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--org.w3c.jigadmin.editors.RealmsServerHelper

public class RealmsServerHelper
extends javax.swing.JPanel
implements ServerHelperInterface

The server helper dedicated to the Realms

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`protected static java.lang.String` | `ADD_USER_AC`
`protected javax.swing.JComboBox` | `combo`
`protected static java.lang.String` | `DEL_REALM_AC`
`protected static java.lang.String` | `DEL_USER_AC`
`protected java.lang.String` | `name`
`protected RemoteResourceWrapper` | `realmrrw`
`protected java.util.Vector` | `realms`
`protected RemoteResourceWrapper` | `root`
`protected java.lang.String` | `tooltip`
`protected javax.swing.JPanel` | `userPanel`
`protected RemoteResourceWrapper` | `userrrw`
`protected java.util.Vector` | `users`
`protected javax.swing.JList` | `usersList`
`protected javax.swing.JPanel` | `usersPanel`
`protected javax.swing.JTextField` | `userT`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`RealmsServerHelper()` Constructor.

Method Summary
`protected void` | `addRealm(java.lang.String realm)` Create a new Realm.
`protected void` | `addUser(java.lang.String user)` Add a user to the current selected realm.
`protected void` | `build()` Build the interface
`protected void` | `deleteCurrentRealm()` Delete the current realm.
`protected void` | `deleteCurrentUser()` Delete the selected user.
`java.awt.Component` | `getComponent()` Get the Component.
`java.lang.String` | `getName()` Get the helper name.
`java.lang.String` | `getToolTip()` Get the helper tooltip
`void` | `initialize(java.lang.String name, RemoteResourceWrapper rrw, java.util.Properties p)` Initialize this editor.
`protected void` | `initUserPanel()` Initialize the User Panel.
`protected void` | `selectRealm(java.lang.String realm)` Select (and display) the given realm.
`protected void` | `selectUser(java.lang.String user)` Select (and display) the given user.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD_USER_AC

    protected static final java.lang.String ADD_USER_AC

### DEL_USER_AC

    protected static final java.lang.String DEL_USER_AC

### DEL_REALM_AC

    protected static final java.lang.String DEL_REALM_AC

### name

    protected java.lang.String name

### tooltip

    protected java.lang.String tooltip

### root

    protected RemoteResourceWrapper root

### realmrrw

    protected RemoteResourceWrapper realmrrw

### userrrw

    protected RemoteResourceWrapper userrrw

### realms

    protected java.util.Vector realms

### users

    protected java.util.Vector users

### combo

    protected javax.swing.JComboBox combo

### usersPanel

    protected javax.swing.JPanel usersPanel

### userPanel

    protected javax.swing.JPanel userPanel

### usersList

    protected javax.swing.JList usersList

### userT

    protected javax.swing.JTextField userT

Constructor Detail

### RealmsServerHelper

    public RealmsServerHelper()

  Constructor.

Method Detail

### initialize

    public void initialize(java.lang.String name,
                           RemoteResourceWrapper rrw,
                           java.util.Properties p)

  Initialize this editor.
  Parameters:
    `name` - the editor name
    `rrw` - the RemoteResourceWrapper wrapping the editor node.
    `p` - the editor properties

### build

    protected void build()

  Build the interface

### initUserPanel

    protected void initUserPanel()

  Initialize the User Panel.

### selectRealm

    protected void selectRealm(java.lang.String realm)

  Select (and display) the given realm.
  Parameters:
    `realm` - the Realm to select

### selectUser

    protected void selectUser(java.lang.String user)

  Select (and display) the given user.
  Parameters:
    `realm` - the User to select

### addUser

    protected void addUser(java.lang.String user)

  Add a user to the current selected realm.
  Parameters:
    `user` - the user name

### deleteCurrentUser

    protected void deleteCurrentUser()

  Delete the selected user.

### addRealm

    protected void addRealm(java.lang.String realm)

  Create a new Realm.
  Parameters:
    `realm` - The name of the new realm.

### deleteCurrentRealm

    protected void deleteCurrentRealm()

  Delete the current realm.

### getName

    public java.lang.String getName()

  Get the helper name.
  Specified by:
    getName in interface ServerHelperInterface
  Returns:
    a String instance
  Overrides:
    getName in class java.awt.Component

### getToolTip

    public java.lang.String getToolTip()

  Get the helper tooltip
  Specified by:
    getToolTip in interface ServerHelperInterface
  Returns:
    a String

### getComponent

    public java.awt.Component getComponent()

  Get the Component.
  Returns:
    a Component instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD